using System;

internal sealed class Delegate642 : MulticastDelegate
{
	public extern void Invoke(object object_0, bool bool_0);

	public static void smethod_0(object object_0, bool bool_0, Delegate642 delegate642_1)
	{
		delegate642_1(object_0, bool_0);
	}

	public extern Delegate642(object object_0, IntPtr intptr_0);

	static Delegate642()
	{
		Class10.smethod_13(typeof(Delegate642).TypeHandle);
	}

	internal static Delegate642 delegate642_0;
}
